Index: /Interface_Web/trunk/pspaWT/History
===================================================================
--- /Interface_Web/trunk/pspaWT/History	(revision 364)
+++ /Interface_Web/trunk/pspaWT/History	(revision 365)
@@ -6,4 +6,10 @@
      =========================================================
 
+5 Mars : Laurent Garnier
+- pspa.css : ameliorations dans le style des elements
+- GWt_elementLigneFaisceau : Ajout d'actions sur les icones dans les elements
+- GWt_abstractElement : suppression des actions sur l'image d'un element
+- ajoute de l'icone trash.png
+ 
 5 mars : Francois Touze
 -GWt_pspaApplication, particleBeam : ajouté le tracé des histogrammes en x,y ou z
Index: /Interface_Web/trunk/pspaWT/htdocs/pspa.css
===================================================================
--- /Interface_Web/trunk/pspaWT/htdocs/pspa.css	(revision 364)
+++ /Interface_Web/trunk/pspaWT/htdocs/pspa.css	(revision 365)
@@ -87,4 +87,9 @@
     box-shadow: 0 1px rgba(255, 255, 255, 0.35) inset, 0 0 0 1px rgba(140, 126, 126, 0.5);
 }
+
+.Button.WhiteButton.HiddenButton {
+    visibility: hidden;
+}
+
 .pin .WhiteButton.Button11 {
     border-radius: 6px 6px 6px 6px;
@@ -127,11 +132,15 @@
     border-radius: 3px 3px 3px 3px;
 }
-.beamLineElementActions .likebutton, .beamLineElementActions .comment, .beamLineElementActions .repin_link, .beamLineElementActions .editbutton, .beamLineElementActions .software {
-    display: none;
-}
 
 .beamLineElementActions .parameters {
     background-image: url("advanced.png");
     background-repeat: no;
+    display: inline;
+}
+
+.beamLineElementActions .trash {
+    background-image: url("trash.png");
+    background-repeat: no;
+    display: inline;
 }
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_abstractElement.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_abstractElement.h	(revision 364)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_abstractElement.h	(revision 365)
@@ -33,62 +33,63 @@
 class GWt_abstractElement : public WContainerWidget
 {
- protected :
+    protected :
     
-  abstractElement* abstractElement_;
+    abstractElement* abstractElement_;
     
-  WDialog* dialog_;
-  GWt_draggableImage* dropped_;
-  WContainerWidget* wc_;
-  WText* wc_item_;
-  WLineEdit* labelEdit_;
-  
-  GWt_abstractElement() {;}
-  string* beginDialog();
+    WDialog* dialog_;
+    GWt_draggableImage* dropped_;
+    WContainerWidget* wc_;
+    WText* wc_item_;
+    WLineEdit* labelEdit_;
+    
+    GWt_abstractElement() {;}
+    string* beginDialog();
+    
+    public :
+    
+    GWt_abstractElement(abstractElement*);
+    
+    void initialize();
+    void showParameters();
+    void deleteElement();
 
- public :
-  
-  GWt_abstractElement(abstractElement*);
-        
-  void initialize();
-  void clicked();
-  void doubleClicked();
-  void updateLabelAndToolTipWidget();
-  void FileInput(ifstream& ifs);
-  
-  //  GWt_draggableImage* getImage();
-  WContainerWidget* getWidget();
-  abstractElement* getAbstractElement();
-  
-  virtual void dialogDone(WDialog::DialogCode code) = 0;
-
-  inline WString print() {
-    return abstractElement_->print();
-  }
-  
-  virtual string getMimeType() = 0;
-  virtual string getSmallImageURL() = 0;
-  virtual string getBigImageURL() = 0;
-  virtual string getName() = 0;
-  virtual void initilializeDialog() = 0;
-  
-  void createDragImage(WContainerWidget*);
-  WImage* getImage();
+    void updateLabelAndToolTipWidget();
+    void FileInput(ifstream& ifs);
     
- protected:
-  
-  WImage* image_;
-  GWt_elementLigneFaisceau* elementLigneFaiseauContainer_;
+    //  GWt_draggableImage* getImage();
+    WContainerWidget* getWidget();
+    abstractElement* getAbstractElement();
     
-  // Nom, type de parametre
-  std::map<std::string, variant<int, string, bool, float, NullType> > parameterMapValue;
-  std::map<std::string, std::string > parameterMapDescription;
-  
-  inline void registerParam(string name, variant<int, string, bool, float, NullType> value, string desc) {
-    parameterMapValue[name] = value;
-    parameterMapDescription[name] = desc;
-  }
-  
-  variant<int, string, bool, float, NullType> getParamValue(string elem);
-  string getParamDescription(string elem);  
+    virtual void dialogDone(WDialog::DialogCode code) = 0;
+    
+    inline WString print() {
+        return abstractElement_->print();
+    }
+    
+    virtual string getMimeType() = 0;
+    virtual string getSmallImageURL() = 0;
+    virtual string getBigImageURL() = 0;
+    virtual string getName() = 0;
+    virtual void initilializeDialog() = 0;
+    
+    void createDragImage(WContainerWidget*);
+    WImage* getImage();
+    
+protected:
+    
+    WImage* image_;
+    GWt_elementLigneFaisceau* elementLigneFaiseauContainer_;
+    
+    // Nom, type de parametre
+    std::map<std::string, variant<int, string, bool, float, NullType> > parameterMapValue;
+    std::map<std::string, std::string > parameterMapDescription;
+    
+    inline void registerParam(string name, variant<int, string, bool, float, NullType> value, string desc) {
+        parameterMapValue[name] = value;
+        parameterMapDescription[name] = desc;
+    }
+    
+    variant<int, string, bool, float, NullType> getParamValue(string elem);
+    string getParamDescription(string elem);
 };
 #endif
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h	(revision 364)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h	(revision 365)
@@ -66,4 +66,7 @@
     std::string getElementNumberInBeamLine(nomdElements el);
     void initialize_ligneFaisceau(typedElement eType);
+    void mouseWentOut();
+    void mouseWentOver();
+
     GWt_dialog* messageDropZone_;
     WText* firstTimeInsertMessage_;
@@ -75,4 +78,6 @@
     GWt_abstractElement* GWt_abstractElement_;
     WContainerWidget* elementContainer_;
+    WText* actionParameters_;
+    WText* actionTrash_;
 };
 #endif
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_abstractElement.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_abstractElement.cc	(revision 364)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_abstractElement.cc	(revision 365)
@@ -40,7 +40,4 @@
     image_ = new WImage(getBigImageURL(),this);
     
-    // activate slots
-    image_->doubleClicked().connect(this,&GWt_abstractElement::doubleClicked);
-    image_->clicked().connect(this,&GWt_abstractElement::clicked);
     addWidget(image_);
     updateLabelAndToolTipWidget();
@@ -88,5 +85,5 @@
 }
 
-void GWt_abstractElement::clicked()
+void GWt_abstractElement::showParameters()
 {
   initilializeDialog();
@@ -95,5 +92,5 @@
 
 
-void GWt_abstractElement::doubleClicked()
+void GWt_abstractElement::deleteElement()
 {
     StandardButton result = WMessageBox::show("PSPA : Delete element", WString("Delete '")+WString(getAbstractElement()->getLabel())+"' ?", Ok | Cancel);
@@ -206,2 +203,4 @@
     }
 }
+
+
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc	(revision 364)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc	(revision 365)
@@ -149,14 +149,21 @@
     actions->setLayout(vLayoutActions);
     
-    WText* actionParameters = new WText("&nbsp;");
-    WText* actionSoftware = new WText("Software");
-    
+    actionParameters_ = new WText("&nbsp;");
+    actionTrash_ = new WText("&nbsp;");
+    
+    // set tooltips
+    actionParameters_->setToolTip("change parameters");
+    actionTrash_->setToolTip("delete");
+
     // Set class for actions elements
-    actionParameters->setStyleClass("Button WhiteButton ContrastButton parameters");
-    actionParameters->setMaximumSize(32,32);
-    actionParameters->setMinimumSize(32,32);
-    
-    actionSoftware->setStyleClass("Button WhiteButton ContrastButton software");
-    actionParameters->setPositionScheme(Wt::Static);
+    actionParameters_->setStyleClass("Button WhiteButton HiddenButton parameters");
+    actionParameters_->setMaximumSize(32,32);
+    actionParameters_->setMinimumSize(32,32);
+    actionParameters_->setPositionScheme(Wt::Static);
+    
+    actionTrash_->setStyleClass("Button WhiteButton HiddenButton trash");
+    actionTrash_->setMaximumSize(32,32);
+    actionTrash_->setMinimumSize(32,32);
+    actionTrash_->setPositionScheme(Wt::Static);
     
     // Set the global action class
@@ -165,6 +172,6 @@
     actions->setOffsets(0);
     
-    vLayoutActions->addWidget(actionParameters);
-    vLayoutActions->addWidget(actionSoftware);
+    vLayoutActions->addWidget(actionParameters_);
+    vLayoutActions->addWidget(actionTrash_);
     vLayoutElementContainer->addWidget(actions);
     
@@ -177,4 +184,10 @@
     setLayout(gridLayout);
     
+    // enable signals
+    elementContainer_->mouseWentOut().connect(this,&GWt_elementLigneFaisceau::mouseWentOut);
+    elementContainer_->mouseWentOver().connect(this,&GWt_elementLigneFaisceau::mouseWentOver);
+
+    actionParameters_->clicked().connect(GWt_abstractElement_,&GWt_abstractElement::showParameters);
+    actionTrash_->clicked().connect(GWt_abstractElement_,&GWt_abstractElement::deleteElement);
 }
 
@@ -262,2 +275,14 @@
     }
 }
+
+
+void GWt_elementLigneFaisceau::mouseWentOut() {
+    actionParameters_->setStyleClass("Button WhiteButton HiddenButton parameters");
+    actionTrash_->setStyleClass("Button WhiteButton HiddenButton trash");
+}
+
+
+void GWt_elementLigneFaisceau::mouseWentOver() {
+    actionParameters_->setStyleClass("Button WhiteButton ContrastButton parameters");
+    actionTrash_->setStyleClass("Button WhiteButton ContrastButton trash");
+}