Index: /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/include/dataManager.h
===================================================================
--- /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/include/dataManager.h	(revision 384)
+++ /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/include/dataManager.h	(revision 385)
@@ -30,5 +30,5 @@
   particleBeam* getDiagnosticBeam(unsigned index);
     
-  void addSectionToExecute(int debut, int fin, nomDeLogiciel prog);
+  void addSectionToExecute(abstractElement* debut,int debutIndex, abstractElement* fin, int finIndex, abstractSoftware* prog);
 
     abstractElement* addElement(typedElement elemType);
@@ -64,4 +64,5 @@
     bool restoreElements(string inputFileName);
     
+    abstractSoftware* createSoftwareConnexion(nomDeLogiciel logi);
     
 
@@ -79,5 +80,4 @@
     void removeFile(string nameOfFile);
     void clearSectionToExecute();
-    abstractSoftware* createSoftwareConnexion(nomDeLogiciel logi);
  
   };
Index: /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/include/sectionToExecute.h
===================================================================
--- /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/include/sectionToExecute.h	(revision 384)
+++ /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/include/sectionToExecute.h	(revision 385)
@@ -3,11 +3,46 @@
 
 #include "nomDeLogiciel.h"
+#include "abstractElement.h"
+#include "abstractSoftware.h"
 
-typedef struct  
+class sectionToExecute
 {
-  unsigned firstElement;  // numero premier element
-  unsigned lastElement;   // numero dernier element
-  nomDeLogiciel software;
-}  sectionToExecute;
+    public :
+    sectionToExecute(abstractElement*, abstractElement*, abstractSoftware*);
+
+    /** Deprecated : To be removed ! */
+    sectionToExecute(abstractElement*, int, abstractElement*, int, abstractSoftware*);
+    ~sectionToExecute() {;}
+
+    inline abstractElement* getFirstElement() {
+        return firstElement;
+    }
+    
+    inline abstractElement* getLastElement() {
+        return lastElement;
+    }
+    
+    /** Deprecated : To be removed ! */
+    inline int getFirstElementNumberInBeamLine() {
+        return firstElementNumberInBeamLine;
+    }
+    
+    /** Deprecated : To be removed ! */
+    inline int getLastElementNumberInBeamLine()  {
+        return lastElementNumberInBeamLine;
+    }
+    inline abstractSoftware* getSoftware() {
+        return software;
+    }
+    
+    private :
+    abstractElement*  firstElement;
+    abstractElement*  lastElement;
+
+    int firstElementNumberInBeamLine;
+    int lastElementNumberInBeamLine;
+    
+    abstractSoftware* software;
+};
 
 #endif
Index: /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/src/dataManager.cc
===================================================================
--- /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/src/dataManager.cc	(revision 384)
+++ /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/src/dataManager.cc	(revision 385)
@@ -64,10 +64,7 @@
 }
 
-void dataManager::addSectionToExecute(int debut, int fin, nomDeLogiciel prog)
-{
-    jobList_.push_back(new sectionToExecute);
-    jobList_.back()->firstElement = debut;
-    jobList_.back()->lastElement = fin;
-    jobList_.back()->software  = prog;
+void dataManager::addSectionToExecute(abstractElement* debut,int debutIndex, abstractElement* fin, int finIndex, abstractSoftware* prog)
+{
+    jobList_.push_back(new sectionToExecute(debut, debutIndex, fin, finIndex, prog));
 }
 
@@ -122,9 +119,9 @@
   for(unsigned k = 0; k < jobList_.size(); k++)
     {
-      cout << " dataManager::executeAll je m'apprete a executer : " << (jobList_[k]->software).getString() << endl;
-      
-      int debut = jobList_[k]->firstElement;
-      int fin = jobList_[k]->lastElement;
-      softw = createSoftwareConnexion(jobList_[k]->software);
+      cout << " dataManager::executeAll je m'apprete a executer : " << (jobList_[k]->getSoftware()->getName()) << endl;
+      
+      int debut = jobList_[k]->getFirstElementNumberInBeamLine();
+      int fin = jobList_[k]->getLastElementNumberInBeamLine();
+      softw = jobList_[k]->getSoftware();
       
       if (softw == NULL) {
Index: /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/src/sectionToExecute.cc
===================================================================
--- /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/src/sectionToExecute.cc	(revision 385)
+++ /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/controler/src/sectionToExecute.cc	(revision 385)
@@ -0,0 +1,19 @@
+#include "sectionToExecute.h"
+
+
+sectionToExecute::sectionToExecute(abstractElement* f, abstractElement* l , abstractSoftware* s) {
+    firstElement = f;
+    lastElement =l;
+    software = s;
+}
+
+
+sectionToExecute::sectionToExecute(abstractElement* f, int fI, abstractElement* l , int lI, abstractSoftware* s) {
+    firstElement = f;
+    lastElement =l;
+
+    firstElementNumberInBeamLine = fI;
+    lastElementNumberInBeamLine =lI;
+
+    software = s;
+}
Index: /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h
===================================================================
--- /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h	(revision 384)
+++ /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h	(revision 385)
@@ -54,4 +54,10 @@
      */
     abstractElement* getAbstractElement(int i);
+
+    /** return the index of the abstract element 
+     @param : label of this abstractElement in the beam line
+     */
+    int getAbstractElementIndexFromLabel(std::string str);
+
     //    void restoreElementCollectionFromDataManager();
     void clickEvent(WContainerWidget*);
Index: /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/src/GWt_dialog.cc
===================================================================
--- /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/src/GWt_dialog.cc	(revision 384)
+++ /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/src/GWt_dialog.cc	(revision 385)
@@ -24,8 +24,9 @@
         hLayout->addWidget(wc);
         widgt->setLayout(hLayout);
+
+        setClosable(true);
+        setModal (modal);
+        show();
     }
-    
-    setClosable(true);
-    setModal (modal);
 }
 
Index: /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc
===================================================================
--- /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc	(revision 384)
+++ /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc	(revision 385)
@@ -203,6 +203,4 @@
     }
     
-    // first if 1
-    //    i--;
     for (int a=0; a< ligneFaisceauLayout_->count(); a++) {
         if (ligneFaisceauLayout_->itemAt(a)) {
@@ -222,4 +220,28 @@
 
 
+int GWt_LigneFaisceau::getAbstractElementIndexFromLabel(std::string txt){
+    int index = 0;
+    if (txt == "") {
+        return NULL;
+    }
+    
+    for (int a=0; a< ligneFaisceauLayout_->count(); a++) {
+        if (ligneFaisceauLayout_->itemAt(a)) {
+            
+            if (GWt_elementLigneFaisceau* elem = dynamic_cast <GWt_elementLigneFaisceau*> (ligneFaisceauLayout_->itemAt(a)->widget ())) {
+                if (elem->getGWt_AbstractElement()) {
+                    if (elem->getGWt_AbstractElement()->getAbstractElement()->getLabel() == txt) {
+                        return index;
+                    }
+                }
+                index ++;
+            }
+        }
+    }
+    return NULL;
+    
+}
+
+
 int GWt_LigneFaisceau::getBeamLineSize() {
   int count = 0;
Index: /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc
===================================================================
--- /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 384)
+++ /Interface_Web/branches/12_03_12-managerComboBox/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 385)
@@ -275,8 +275,13 @@
       string finString = (*itr)->fin->text().toUTF8();
       
-      int debut = dtmanage_->getNumeroFromElementLabel(debString);
-      int fin = dtmanage_->getNumeroFromElementLabel(finString);
+      int debut = pspa_->getBeamLine()->getAbstractElementIndexFromLabel(debString)+1; // FIXME : Should NOT be +1
+        int fin = pspa_->getBeamLine()->getAbstractElementIndexFromLabel(finString)+1; // FIXME : Should NOT be +1
+
       nomDeLogiciel prog = nomDeLogiciel ( (*itr)->selection->currentIndex() );
-      dtmanage_->addSectionToExecute(debut,fin,prog);
+      dtmanage_->addSectionToExecute(pspa_->getBeamLine()->getAbstractElement(debut),
+                                     debut,
+                                     pspa_->getBeamLine()->getAbstractElement(fin),
+                                     fin,
+                                     dtmanage_->createSoftwareConnexion(prog));
         
       // check sections
@@ -337,6 +342,4 @@
       (*selectedSections_.begin())->fin->setText(dernierText);
     }
-  
-  cout << "PspaApplication::updateSelections(): " << premierText << " ââ   " << dernierText << endl;
 }
 